//----------------------------------------------------------------------------
//  Project Test
//  Power Softwares
//  Copyright  2009. All Rights Reserved.
//
//  SUBSYSTEM:    Test Application
//  FILE:         tstedtvw.h
//  AUTHOR:       Jahanshahi, Mohsen
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TTestEditView (TEditView).
//
//----------------------------------------------------------------------------
#if !defined(tstedtvw_h)              // Sentry, use file only if it's not already included.
#define tstedtvw_h

#include <owl/editview.h>

#include "testapp.rh"          // Definition of all resources.


//{{TEditView = TTestEditView}}
class TTestEditView : public TEditView {
  public:
    TTestEditView(TDocument& doc, TWindow* parent = 0);
    virtual ~TTestEditView();

//{{TTestEditViewVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
//{{TTestEditViewVIRTUAL_END}}
//{{TTestEditViewRSP_TBL_BEGIN}}
  protected:
    void EvGetMinMaxInfo(MINMAXINFO far& minmaxinfo);
//{{TTestEditViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TTestEditView);
};    //{{TTestEditView}}


#endif  // tstedtvw_h sentry.
