//----------------------------------------------------------------------------
//  Project Test
//  Power Softwares
//  Copyright  2009. All Rights Reserved.
//
//  SUBSYSTEM:    Test Application
//  FILE:         tstabtdl.h
//  AUTHOR:       Jahanshahi, Mohsen
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TTestAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(tstabtdl_h)              // Sentry, use file only if it's not already included.
#define tstabtdl_h

#include <owl/static.h>

#include "testapp.rh"                  // Definition of all resources.


//{{TDialog = TTestAboutDlg}}
class TTestAboutDlg : public TDialog {
  public:
    TTestAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TTestAboutDlg();

//{{TTestAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TTestAboutDlgVIRTUAL_END}}
};    //{{TTestAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // tstabtdl_h sentry.
